View Issue Details

IDProjectCategoryView StatusLast Update
0017191RunnerHTML5Public2018-10-31 09:17
ReporterYellowAfterlifeAssigned ToMike Dailly 
PriorityVery HighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSWindows 8OS Version8.1
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0017191: Functions: window_center() does not take into account a freshly-changed window size
DescriptionIf called on the same step with window_set_size, window_center will not mind the freshly changed size, and will instead center the window with previous size in mind.
Tagsfunctions, Runner
1.4 Found In1.4.1522
2.x Runtime Found In
2.x Runtime Verified In2.2.1.272

Activities

YellowAfterlife

2015-02-10 18:07

Developer  

a_bug.gmz (26,808 bytes)

Neil Wicker

2015-02-11 09:30

Updater   ~0035784

Yes, you'll need to do it in the next step. I'll assign this on but it will be a low priority as it is quite an in-depth fix.

YellowAfterlife

2015-02-17 18:11

Developer   ~0035921

Also misbehaves on HTML5, to mention.

Mike Dailly

2018-07-30 10:40

Developer   ~0060957

fixed in HTML5, now adapts dynamically as window changes size

Dan

2018-09-27 15:01

Adminstrator   ~0061637

Note that the above change is HTML5 only. Need to see if Windows/HTML5 is now inconsistent when verifying this change...

Stewart Bishop

2018-10-25 16:36

Developer   ~0061862

There's a visible difference between the HTML5 and Windows versions for this project.

Mike Dailly

2018-10-30 15:09

Developer   ~0061904

6951023be0a9e44cd741a32163af6a21f2b7a06d
window_set_size() fixed in green